Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
ZeroGS error?
#1
I got this strange ZeroGS error:

Code:
ZeroGS: creating
ZeroGS: Got Doublebuffered Visual!
ZeroGS: glX-Version 1.2
ZeroGS: Depth 24
ZeroGS: you have Direct Rendering!
ZeroGS: *********
ZeroGS: ERROR: Need GL_EXT_framebufer_object for multiple render targets
ZeroGS: *********
ZeroGS: *********
ZeroGS: OGL WARNING: multiple render targets not supported, some effects might look bad
ZeroGS: *********

I have ATI Radeon 9600 Mobility running using xorg radeon driver....
In a life without walls, who needs Windows?
Reply

Sponsored links

#2
Your video card is too old and obviously lacks support for some features ZeroGS uses (or the driver for it)
[Image: newsig.jpg]
Reply
#3
(01-23-2009, 03:46 AM)InuTaisho Wrote: I got this strange ZeroGS error:

Code:
ZeroGS: creating
ZeroGS: Got Doublebuffered Visual!
ZeroGS: glX-Version 1.2
ZeroGS: Depth 24
ZeroGS: you have Direct Rendering!
ZeroGS: *********
ZeroGS: ERROR: Need GL_EXT_framebufer_object for multiple render targets
ZeroGS: *********
ZeroGS: *********
ZeroGS: OGL WARNING: multiple render targets not supported, some effects might look bad
ZeroGS: *********

I have ATI Radeon 9600 Mobility running using xorg radeon driver....

I found out what was wrong. None of the current open source drivers support GL_EXT_framebuffer_object in the hardware level. I would have to use Mesa as a software renderer to make it work... And currently the ATI proprietary driver (fglrx) does not work on Ubuntu Intrepid Ibex.
In a life without walls, who needs Windows?
Reply
#4
Well, it's not a error, just warning. Ignore it (it's give you a little performance degrade).
Reply
#5
(01-23-2009, 01:40 PM)Zeydlitz Wrote: Well, it's not a error, just warning. Ignore it (it's give you a little performance degrade).


If I could ignore it I would, except then it throws out a dialog saying GS error and halts loading the emulator....
In a life without walls, who needs Windows?
Reply
#6
This warning is not reason of GS loading error. What ZeroGS version do you use? Official, playground or something else?
Reply
#7
(01-23-2009, 05:24 PM)Zeydlitz Wrote: This warning is not reason of GS loading error. What ZeroGS version do you use? Official, playground or something else?

official. compiled with libglew1.5
In a life without walls, who needs Windows?
Reply
#8
Ah! It's could be one that bugs (realTexDims does not properly initilaise). Use playground one.
Reply
#9
(01-23-2009, 01:40 PM)Zeydlitz Wrote: Well, it's not a error, just warning. Ignore it (it's give you a little performance degrade).

(01-24-2009, 09:05 AM)Zeydlitz Wrote: Ah! It's could be one that bugs (realTexDims does not properly initilaise). Use playground one.

I tried to build that one, but the playground build.sh doesn't work. It has an error in the plugins directory build.sh, or maybe that is the regular one too, since the plugins directory is shared between the two.
In a life without walls, who needs Windows?
Reply




Users browsing this thread: 1 Guest(s)